<?xml version="1.0" encoding="GB2312"?>
<FeatureConfig>
<!--Common Used by Front and Rear Mode Begin-->
    <Feature Name="normalmode"  RequestName = "normalshot">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="Misc"><Connect           PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SmartAE"><Connect           PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="Counter"><Connect           PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /></Node>
            <Node Name="Node4" Type="Plugin"      AlgoName="SceneDetection"><Connect    PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /></Node>
	    <Node Name="Node5" Type="Plugin"      AlgoName="LaserCalib"><Connect           PadName="Out0"  PeerNodeName="Node6"   PeerPadName="In0" /></Node>
	    <Node Name="Node6" Type="Plugin"      AlgoName="AfCalib"><Connect           PadName="Out0"  PeerNodeName="Node7"   PeerPadName="In0" /></Node>
            <Node Name="Node7" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node6"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="TofIpp" FilterType="TofIppFilter">
            <Node Name="Node0"  Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1"  Type="Plugin"      AlgoName="ITOFCollector"> <Connect       PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /> </Node>
            <Node Name="Node2"  Type="Plugin"      AlgoName="ITOFAE"><Connect               PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /> </Node>
            <Node Name="Node3"  Type="Plugin"      AlgoName="ITOFStrategy"> <Connect        PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /> </Node>
            <Node Name="Node4"  Type="Plugin"      AlgoName="ITOFDepthCalc"> <Connect       PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /> </Node>
            <Node Name="Node5"  Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node4"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="StatIpp" FilterType="StatFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="SubPipeline" AlgoName="NormalTiny"><Connect           PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node1"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="JpegEncoderPlugin"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin">  <Connect  PadName="Out0" PeerNodeName="Raw2Yuv" PeerPadName="In0" /></Node>
			<Node  Name="Raw2Yuv"    Type="Plugin"  AlgoName="Raw2YuvPlugin">  <Connect  PadName="Out0" PeerNodeName="Fork" PeerPadName="In0" /></Node>
            <Node  Name="Fork"       Type="Plugin"  AlgoName="ForkPlugin" PlaceholderType = "Tail"> <Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" />
                                                                                              <Connect PadName="Out1" PeerNodeName="Thumbnail" PeerPadName="In0" /></Node>
            <Node  Name="Thumbnail"  Type="Plugin"  AlgoName="Thumbnail"> <Connect PadName="Out0" PeerNodeName="Sink1"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin">    <Connect  PadName="In0"  PeerNodeName="Fork"  PeerPadName="Out0" /></Node>
            <Node  Name="Sink1"      Type="Plugin"  AlgoName="SinkPlugin">    <Connect  PadName="In0"  PeerNodeName="Thumbnail"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="HdcCalibMode" RequestName="hdccalib" Base = "normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="HdcCalibIpp"><Connect        PadName="Out0"   PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node1"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="PPFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node  Name="Node1"    Type="Plugin"  AlgoName="Raw2YuvPlugin">  <Connect  PadName="Out0" PeerNodeName="Node2" PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="HdcCalibPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node3"   PeerPadName="In0" /></Node>
            <Node  Name="Node3"  Type="Plugin"  AlgoName="JpegEncoderPlugin"> <Connect PadName="Out0" PeerNodeName="Node4"  PeerPadName="In0" /></Node>
            <Node Name="Node4" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node3"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Common Used by Front and Rear Mode End-->
<!--Rear big aperture sceneMode begin-->
    <Feature Name="bigApertureMode" RequestName="edof" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDspAlgo"><Connect  PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="SinkPlugin"><Connect      PadName="In0"   PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="DmapIpp" FilterType="DmapFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node0"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect   PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="refocus"><Connect        PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect     PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpBokehMode" RequestName="aiRawHdrpBokeh" Base="bigApertureMode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDspAlgo"><Connect  PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="SinkPlugin"><Connect      PadName="In0"   PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect     PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect        PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="FaceSr"><Connect           PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="dualdepth"><Connect        PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="refocus"><Connect          PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect       PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bigAperturehdrpNotBokeh" RequestName="aiRawHdrp" Base="bigApertureMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawBokehMode" RequestName="fullzoomAiRawBokeh" Base="aiRawHdrpBokehMode">
    </Feature>
    <Feature Name="bigApertureZoomNotBokeh" RequestName="fullzoomAiRaw" Base="bigApertureMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="AISrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="faceModel"><Connect       PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="FaceSr"><Connect          PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect      PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="opticalzoombokehMode" RequestName="opticalzoombokehoz" Base="bigApertureMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect     PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="opticalzoom"><Connect      PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="dualdepth"><Connect        PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="faceModel"><Connect        PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="FaceSr"><Connect           PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="refocus"><Connect          PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect       PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpLiteBokehMode" RequestName="aiRawHdrpLiteBokeh" Base="aiRawHdrpBokehMode">
    </Feature>
    <Feature Name="bigApertureHdrpLiteNotBokeh" RequestName="aiRawHdrplite" Base="bigApertureMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="QRFusionAiRawBokehMode" RequestName="QRFusionAiRawBokeh" Base="aiRawHdrpBokehMode">
    </Feature>
<!--Rear big aperture sceneMode end-->
    <Feature Name="fullzoomnormalMode" RequestName="fullzoomnormal" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="fullzoom"><Connect        PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="davincidsp"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect      PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PreviewStablizationFilterIpp" FilterType="PreviewStabFilter">
            <Node  Name="Source"   Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="Node1" PeerPadName="In0" /></Node>
            <Node  Name="Node1"    Type="Plugin"  AlgoName="PreviewStablization">  <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin"  AlgoName="SinkPlugin">    <Connect PadName="In0"   PeerNodeName="Node1" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawMode" RequestName="fullzoomAiRaw" Base="fullzoomnormalMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="AISrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <!-- <Node       Name="Node3"      Type="Plugin"       AlgoName="faceModel"><Connect       PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node> -->
            <!-- <Node       Name="Node4"      Type="Plugin"       AlgoName="FaceSr"><Connect          PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node> -->
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect      PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="ellipMode"  RequestName="ellip" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect         PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="ellip"><Connect                PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect           PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bestshotMode"  RequestName="bestshot" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect         PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="bestshot"><Connect             PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect           PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="flashmultidenoise" RequestName="flashmultidenoise" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="multidenoisedsp"><Connect    PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="RedEyeRemovePpAlgo"><Connect PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="flashsingle" RequestName="flashsingle" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="RedEyeRemovePpAlgo"><Connect PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="HDFlash" RequestName="HDFlash" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="HDFlashDspPpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="RedEyeRemovePpAlgo"><Connect PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="sr"><Connect                 PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="rawhdrAiRaw" RequestName="aiRawHdrp" Base="fullzoomAiRawMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="hdrpliteAiRaw" RequestName="aiRawHdrplite" Base="rawhdrAiRaw">
    </Feature>
    <Feature Name="airawHighResMode" RequestName="airawHighRes" Base="rawhdrAiRaw"/>
    <Feature Name="multidenoise" RequestName="multidenoise" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="multidenoisedsp"><Connect    PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="blueSkyHdrp" RequestName="blueSkyHdrp" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="RawhdrDsp"><Connect          PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="segmentationmask"><Connect   PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="davincidsp"><Connect         PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="BShutterRaw" RequestName="BShutterRaw" Base="normalmode">
        <Pipeline Name="StatIpp" FilterType="StatFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="SubPipeline" AlgoName="NormalTiny"><Connect           PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="BShutterTryAE"><Connect        PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node2"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="RawBshutterDsp"><Connect       PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node1"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="BShutter" RequestName="BShutter" Base="normalmode">
        <Pipeline Name="StatIpp" FilterType="StatFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="SubPipeline" AlgoName="NormalTiny"><Connect           PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="BShutterTryAE"><Connect        PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node2"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="pp_bshutter"><Connect          PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node1"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="davinciFrontMode" RequestName="davinci_front" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="faceModel"><Connect          PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FaceSr"><Connect             PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect  PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="segmentationMask" RequestName="segmentationMask" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin">     <Connect  PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="segmentationmask"> <Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="davincidsp">       <Connect  PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin">       <Connect  PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="TimeLapseNormal" RequestName = "normalshot" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="TryAE" PeerPadName="In0" /></Node>
            <Node  Name="TryAE"  Type="Plugin"  AlgoName="TimeLapseTryAE"><Connect PadName="Out0" PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin">    <Connect PadName="In0"  PeerNodeName="TryAE" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="WaterMarkFilterIpp" FilterType="WaterMarkFilter">
            <Node  Name="Source"    Type="Plugin" AlgoName="SourcePlugin">      <Connect PadName="Out0" PeerNodeName="WaterMark" PeerPadName="In0" /></Node>
            <Node  Name="WaterMark" Type="Plugin" AlgoName="WatermarkFilterIpp"><Connect PadName="Out0" PeerNodeName="Sink"      PeerPadName="In0" /></Node>
            <Node  Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">        <Connect PadName="In0"  PeerNodeName="WaterMark" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="timelaspe" PeerPadName="In0" /></Node>
            <Node  Name="timelaspe"  Type="Plugin"  AlgoName="TimeLapse"> <Connect PadName="Out0" PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin">    <Connect PadName="In0"  PeerNodeName="timelaspe" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="TimeLapseHdrp" RequestName = "rawhdr" Base="TimeLapseNormal">
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="rawhdr" PeerPadName="In0" /></Node>
            <Node  Name="rawhdr"  Type="Plugin"  AlgoName="RawhdrDsp"> <Connect PadName="Out0" PeerNodeName="timelaspe"  PeerPadName="In0" /></Node>
            <Node  Name="timelaspe"  Type="Plugin"  AlgoName="TimeLapse"> <Connect PadName="Out0" PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin">    <Connect PadName="In0"  PeerNodeName="timelaspe" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--                                                     Video Mode Begin                                             -->
    <Feature Name="VideoBase" RequestName="normalshot">
        <Pipeline Name="TofIpp" FilterType="TofIppFilter">
            <Node Name="Node0"  Type="Plugin"      AlgoName="SourcePlugin"> <Connect PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1"  Type="Plugin"      AlgoName="ITOFCollector"><Connect PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /> </Node>
            <Node Name="Node2"  Type="Plugin"      AlgoName="ITOFAE">       <Connect PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /> </Node>
            <Node Name="Node3"  Type="Plugin"      AlgoName="ITOFStrategy"> <Connect PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /> </Node>
            <Node Name="Node4"  Type="Plugin"      AlgoName="ITOFDepthCalc"><Connect PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /> </Node>
            <Node Name="Node5"  Type="Plugin"      AlgoName="SinkPlugin">   <Connect PadName="In0"   PeerNodeName="Node4"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="StatIpp" FilterType="StatFilter">
            <Node  Name="Source" Type="Plugin"      AlgoName="SourcePlugin"><Connect PadName="Out0"  PeerNodeName="Tiny"  PeerPadName="In0" /></Node>
            <Node  Name="Tiny"   Type="SubPipeline" AlgoName="NormalTiny">  <Connect PadName="Out0"  PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"      AlgoName="SinkPlugin">  <Connect PadName="In0"   PeerNodeName="Tiny"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source" Type="Plugin"      AlgoName="SourcePlugin"><Connect  PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node Name="Sink"   Type="Plugin"      AlgoName="SinkPlugin">  <Connect  PadName="In0"   PeerNodeName="Source" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="NormalVideo" RequestName = "normalshot" Base = "VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin"> <Connect   PadName="Out0"  PeerNodeName="Mdp" PeerPadName="In0" /></Node>
            <Node  Name="Mdp"     Type="Plugin"  AlgoName="Mdp"><Connect PadName="Out0"   PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin"  StreamType = "Preview">   <Connect   PadName="In0"   PeerNodeName="Mdp"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PreviewVideoIpp" FilterType="PreviewVideoFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin"> <Connect   PadName="Out0"  PeerNodeName="Mdp" PeerPadName="In0" /></Node>
            <Node  Name="Mdp"     Type="Plugin"  AlgoName="Mdp"><Connect PadName="Out0"   PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin"  StreamType = "Preview">   <Connect   PadName="In0"   PeerNodeName="Mdp"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin">  <Connect  PadName="Out0" PeerNodeName="Mdp1" PeerPadName="In0" /></Node>
            <Node  Name="Mdp1"     Type="Plugin"  AlgoName="Mdp"> <Connect PadName="Out0" PeerNodeName="Fork"  PeerPadName="In0" /></Node>
            <Node  Name="Fork"       Type="Plugin"  AlgoName="ForkIpp" PlaceholderType = "Tail"> <Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" />
                                                                                              <Connect PadName="Out1" PeerNodeName="Mdp" PeerPadName="In0" /></Node>
            <Node  Name="Mdp"        Type="Plugin"  AlgoName="Mdp"> <Connect PadName="Out0" PeerNodeName="Sink1"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin" StreamType = "Record">    <Connect  PadName="In0"  PeerNodeName="Fork"  PeerPadName="Out0" /></Node>
            <Node  Name="Sink1"      Type="Plugin"  AlgoName="SinkPlugin" StreamType = "Callback">    <Connect  PadName="In0"  PeerNodeName="Mdp"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="AipIpp" FilterType="AipFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin"> <Connect  PadName="Out0" PeerNodeName="AIP"  PeerPadName="In0" /></Node>
            <Node  Name="AIP"    Type="Plugin"  AlgoName="HwHDRAIPVideo"><Connect  PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin">   <Connect  PadName="In0"  PeerNodeName="AIP"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="WaterMarkFilterIpp" FilterType="WaterMarkFilter">
            <Node  Name="Source"    Type="Plugin" AlgoName="SourcePlugin">      <Connect PadName="Out0" PeerNodeName="WaterMark" PeerPadName="In0" /></Node>
            <Node  Name="WaterMark" Type="Plugin" AlgoName="WatermarkFilterIpp"><Connect PadName="Out0" PeerNodeName="Sink"      PeerPadName="In0" /></Node>
            <Node  Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">        <Connect PadName="In0"  PeerNodeName="WaterMark" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="ApertureVideo" RequestName = "ApertureVideo" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"     Type="Plugin" AlgoName="SourcePlugin">     <Connect PadName="Out0"  PeerNodeName="VideoBokeh" PeerPadName="In0" /></Node>
            <Node  Name="VideoBokeh" Type="Plugin" AlgoName="VideoBokehProAlgo"><Connect PadName="Out0"  PeerNodeName="VidEIS"     PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"     Type="Plugin" AlgoName="HwVideoStabWarp">  <Connect PadName="Out0"  PeerNodeName="Sink"       PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin" AlgoName="SinkPlugin">       <Connect PadName="In0"   PeerNodeName="VidEIS"     PeerPadName="Out0" /></Node>
        </Pipeline>
            <Pipeline Name="DmapIpp" FilterType="DmapFilter">
            <Node  Name="Source"  Type="Plugin" AlgoName="SourcePlugin"> <Connect PadName="Out0"  PeerNodeName="ORB"  PeerPadName="In0" /></Node>
            <Node  Name="ORB"     Type="Plugin" AlgoName="ORBIppAlgo">   <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin" AlgoName="SinkPlugin">   <Connect PadName="In0"   PeerNodeName="ORB"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="BeautyVideo" RequestName = "beauty_rear_noneextisp" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"  Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="Casio"   PeerPadName="In0" /></Node>
            <Node  Name="Casio"   Type="Plugin" AlgoName="casioBeautyIpp"><Connect PadName="Out0"  PeerNodeName="ArcSoft" PeerPadName="In0" /></Node>
            <Node  Name="ArcSoft" Type="Plugin" AlgoName="HwBeautyIpp">   <Connect PadName="Out0"  PeerNodeName="VidEIS"  PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"  Type="Plugin" AlgoName="HwVideoStabWarp"><Connect PadName="Out0" PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin" AlgoName="SinkPlugin">    <Connect PadName="In0"   PeerNodeName="VidEIS"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node  Name="Node0"   Type="Plugin" AlgoName="SourcePlugin">   <Connect  PadName="Out0"  PeerNodeName="Node1" PeerPadName="In0" /></Node>
            <Node  Name="Node1"   Type="Plugin" AlgoName="PortraitEnhance"><Connect  PadName="Out0"  PeerNodeName="Node2" PeerPadName="In0" /></Node>
            <Node  Name="Node2"   Type="Plugin" AlgoName="HwBeautyPpAlgo"> <Connect  PadName="Out0"  PeerNodeName="Node3" PeerPadName="In0" /></Node>
            <Node  Name="Node3"   Type="Plugin" AlgoName="SinkPlugin">     <Connect  PadName="In0"   PeerNodeName="Node2" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="ProfessionalVideo" RequestName = "ProfessionalVideo" Base="NormalVideo">
    </Feature>
    <Feature Name="SlowMotion" RequestName = "SlowMotion" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"   Type="Plugin"  AlgoName="SourcePlugin"><Connect       PadName="Out0"  PeerNodeName="Checking" PeerPadName="In0" /></Node>
            <Node  Name="Checking" Type="Plugin"  AlgoName="SlowMotionChecking"><Connect PadName="Out0"  PeerNodeName="Sink"     PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin"  AlgoName="SinkPlugin">  <Connect       PadName="In0"   PeerNodeName="Checking" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
            <Node  Name="Source"  Type="Plugin"  AlgoName="SourcePlugin"> <Connect  PadName="Out0"  PeerNodeName="FRC"  PeerPadName="In0" /></Node>
            <Node  Name="FRC"     Type="Plugin"  AlgoName="SlowMotionFRC"><Connect  PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin"  AlgoName="SinkPlugin">   <Connect  PadName="In0"   PeerNodeName="FRC"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="MovieVideo" RequestName = "normalshot" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"   Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="Portrait" PeerPadName="In0" /></Node>
            <Node  Name="Portrait" Type="Plugin" AlgoName="MoviePortrait"> <Connect PadName="Out0"  PeerNodeName="Filter"   PeerPadName="In0" /></Node>
            <Node  Name="Filter"   Type="Plugin" AlgoName="MovieFilter">   <Connect PadName="Out0"  PeerNodeName="ColorRsv" PeerPadName="In0" /></Node>
            <Node  Name="ColorRsv" Type="Plugin" AlgoName="MovieColorRsv"> <Connect PadName="Out0"  PeerNodeName="VidEIS"   PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"   Type="Plugin" AlgoName="SuperVideoStab"><Connect PadName="Out0"  PeerNodeName="Fork" PeerPadName="In0" /></Node>
            <Node  Name="Fork"     Type="Plugin" AlgoName="Fork" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" />
                                                                                        <Connect PadName="Out1" PeerNodeName="Mdp" PeerPadName="In0" /></Node>
            <Node  Name="Mdp"       Type="Plugin"  AlgoName="Mdp"> <Connect PadName="Out0" PeerNodeName="Sink1"  PeerPadName="In0" />
                                                                   <Connect PadName="Out1" PeerNodeName="Sink2"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"      Type="Plugin"  AlgoName="SinkPlugin" StreamType="Preview"> <Connect  PadName="In0"  PeerNodeName="Fork"  PeerPadName="Out0" /></Node>
            <Node  Name="Sink1"     Type="Plugin"  AlgoName="SinkPlugin" StreamType="Record">  <Connect  PadName="In0"  PeerNodeName="Mdp"   PeerPadName="Out0" /></Node>
            <Node  Name="Sink2"     Type="Plugin"  AlgoName="SinkPlugin" StreamType="Callback"><Connect  PadName="In0"  PeerNodeName="Mdp"   PeerPadName="Out1" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="HighQualityVideo" RequestName = "HighQualityVideo" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="VidEIS" PeerPadName="In0" /></Node>
            <Node  Name="VidEIS" Type="Plugin"  AlgoName="HwVideoStabGPU"><Connect PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin">    <Connect PadName="In0"   PeerNodeName="VidEIS" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="DualVideo" RequestName = "DualVideo" Base="VideoBase">
        <Pipeline Name="PreviewVideoIpp" FilterType="PreviewVideoFilter">
            <Node  Name="Source"   Type="Plugin"  AlgoName="SourcePlugin"> <Connect  PadName="Out0"  PeerNodeName="VideoEIS" PeerPadName="In0" /></Node>
            <Node  Name="VideoEIS" Type="Plugin"  AlgoName="HwVideoStabGPU"><Connect PadName="Out0" PeerNodeName="Sink"     PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin"  AlgoName="SinkPlugin">   <Connect  PadName="In0"   PeerNodeName="VideoEIS" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
            <Node  Name="Source"   Type="Plugin"  AlgoName="SourcePlugin">  <Connect  PadName="Out0"  PeerNodeName="VideoEIS" PeerPadName="In0" /></Node>
            <Node  Name="VideoEIS" Type="Plugin"  AlgoName="HwVideoStabGPU"><Connect PadName="Out0"  PeerNodeName="Sink"     PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin"  AlgoName="SinkPlugin">    <Connect  PadName="In0"   PeerNodeName="VideoEIS" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--                                                    Noraml Video Mode End                                                  -->

    <Feature Name="rearRemosaicMode" RequestName = "rearRemosaic" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node0"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>

    <Feature Name="QRFusionRawMode" RequestName = "QRFusionRaw" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="qrfusionRyyb"><Connect       PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>

    <Feature Name="QRFusionAiRawMode" RequestName = "QRFusionAiRaw" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>

    <Feature Name="blueSkyQRFusionMode" RequestName = "blueSkyQRFusion" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="qrfusion"><Connect           PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="segmentationmask"><Connect   PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="davincidsp"><Connect         PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="rearNormalModeRawhdr" RequestName = "rawhdr" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect       PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="RawhdrDsp"><Connect          PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"><Connect         PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="rearNormalModeHdrpLite" RequestName = "hdrplite" Base="rearNormalModeRawhdr">
    </Feature>

    <Feature Name="frontbeautyHdrplite" RequestName = "frontbeautyHdrplite" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="casioBeautyIpp"><Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyIpp"><Connect     PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect      PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect          PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect         PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect             PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect     PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect            PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Rear portrait sceneMode begin-->
    <Feature Name="aiRawHdrpLitePortrait" RequestName = "aiRawHdrpLitePortrait" Base="bigApertureMode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDspAlgo"><Connect PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="casioBeautyIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect       PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"      AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect         PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="dualdepth"><Connect         PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node7"    PeerPadName="In0" /></Node>
            <Node       Name="Node7"      Type="Plugin"       AlgoName="refocus"><Connect           PadName="Out0"   PeerNodeName="Node8"    PeerPadName="In0" /></Node>
            <Node       Name="Node8"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"    PeerNodeName="Node7"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpPortrait" RequestName = "aiRawHdrpPortrait" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect         PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="dualdepth"><Connect            PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect         PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="refocus"><Connect    PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawPortrait" RequestName = "fullzoomAiRawPortrait" Base="aiRawHdrpLitePortrait">
    </Feature>
    <Feature Name="QRFusionAiRawPortrait" RequestName = "QRFusionAiRawPortrait" Base="aiRawHdrpLitePortrait">
    </Feature>
    <Feature Name="selfportrait" RequestName = "self_portrait" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="refocus"><Connect             PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect          PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpLiteNoFacePortrait" RequestName = "aiRawHdrpLiteNoFacePortrait" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect       PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect          PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawNoFacePortrait" RequestName = "fullzoomAiRawNoFacePortrait" Base="aiRawHdrpLiteNoFacePortrait">
    </Feature>
    <Feature Name="aiRawHdrpNoFacePortrait" RequestName = "aiRawHdrpNoFacePortrait" Base="aiRawHdrpLiteNoFacePortrait">
    </Feature>
    <Feature Name="QRFusionAiRawNoFacePortrait" RequestName = "QRFusionAiRawNoFacePortrait" Base="aiRawHdrpLiteNoFacePortrait">
    </Feature>
    <Feature Name="NormalBeautyShot" RequestName="beauty_rear_noneextisp" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="HDFlashBeauty" RequestName="HDFlashBeauty" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="HDFlashDspPpAlgo"><Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="sr"><Connect                PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FlashsingleBeauty" RequestName="FlashsingleBeauty" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect          PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="RedEyeRemovePpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect            PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FlashMultidenoiseBeauty" RequestName="FlashMultidenoiseBeauty" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect          PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="multidenoisedsp"><Connect       PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="RedEyeRemovePpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect            PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoombeauty" RequestName = "fullzoombeauty" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="opticalzoom"><Connect         PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect          PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlightbase" RequestName = "normalshot" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="casioBeautyIpp"><Connect  PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"      AlgoName="SinkPlugin"><Connect      PadName="In0"   PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlightrear" RequestName = "fairlight_rear" Base="fairlightbase">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="faceModel"><Connect           PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="fairlightV2"><Connect         PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect          PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="beautyrearnoneextisp" RequestName = "beauty_rear_noneextisp" Base="fullzoombeauty">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect          PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlightfullzoom" RequestName = "fairlight_fullzoom" Base="fairlightbase">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="opticalzoom"><Connect         PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect           PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="fairlightV2"><Connect         PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect          PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Rear portrait sceneMode end-->
    <Feature Name="frontHdrplite" RequestName="frontHdrplite" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect        PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"> <Connect           PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="FaceSr"><Connect               PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpBokehBeautyFront" RequestName="aiRawHdrpBokehBeautyFront" Base="frontbeautyHdrplite">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDspAlgo"><Connect PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="casioBeautyIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"      AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="dualdepth"> <Connect        PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="faceModel"><Connect         PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="refocus"><Connect           PadName="Out0"  PeerNodeName="Node7"    PeerPadName="In0"  /></Node>
            <Node       Name="Node7"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect PadName="Out0"  PeerNodeName="Node8"    PeerPadName="In0"  /></Node>
            <Node       Name="Node8"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect PadName="Out0"  PeerNodeName="Node9"    PeerPadName="In0"  /></Node>
            <Node       Name="Node9"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="Node8"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpLiteBokehBeautyFront" RequestName="aiRawHdrpLiteBokehBeautyFront" Base="aiRawHdrpBokehBeautyFront">
    </Feature>
    <Feature Name="frontbeautyBokehHdrpAiRaw" RequestName="frontbeautyBokehHdrpAiRaw" Base="frontbeautyHdrplite">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="casioBeautyIpp"><Connect  PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="FrontBokehAlgo"><Connect  PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"      AlgoName="SinkPlugin"><Connect      PadName="In0"   PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"> <Connect        PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="frontbokehmask"><Connect    PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="frontbokeh"><Connect        PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect PadName="Out0"  PeerNodeName="Node7"    PeerPadName="In0"  /></Node>
            <Node       Name="Node7"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="Node8"    PeerPadName="In0"  /></Node>
            <Node       Name="Node8"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="Node7"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrplite" RequestName="frontbeautyBokehHdrplite" Base="frontbeautyBokehHdrpAiRaw">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="RawhdrDsp"><Connect         PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"> <Connect        PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="dualdepth"><Connect         PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="refocus"><Connect           PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect PadName="Out0"  PeerNodeName="Node7"    PeerPadName="In0"  /></Node>
            <Node       Name="Node7"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="Node8"    PeerPadName="In0"  /></Node>
            <Node       Name="Node8"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="Node7"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlight_front" RequestName = "fairlight_front" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="casioBeautyIpp"><Connect  PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin"><Connect      PadName="In0"   PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect          PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="faceModel"><Connect             PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect     PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="fairlightV2"><Connect           PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect            PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontBeautyNightRawhdr" RequestName="frontBeautyNightRawhdr" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect          PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="MegRawhdrPpAlgo"><Connect       PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect             PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect     PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect            PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontBeautyAiRawHdrp" RequestName="FrontBeautyAiRawHdrp" Base="frontbeautyHdrplite">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin">      <Connect  PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo">     <Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel">         <Connect  PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo">  <Connect  PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"> <Connect  PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="HwBeautyPpAlgo">    <Connect  PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin">        <Connect  PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontAiRawHdrp" RequestName="FrontAiRawHdrp" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect         PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0"  /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="casioBeautyPpAlgo"><Connect PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
</FeatureConfig>
